> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vistaly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List comments for a card

> Retrieve all comments for a specific card



## OpenAPI

````yaml https://api.vistaly.com/v1/swagger.json get /beta/cards/{cardId}/comments
openapi: 3.1.0
info:
  contact:
    email: support@vistaly.com
    name: Vistaly Support Team
  description: >-
    Vistaly's public API for interacting with our platform, enabling developers
    to integrate with various features such as feedback, cards, and system
    health.
  termsOfService: https://vistaly.com/terms-of-service
  title: Vistaly API
  version: '2025-06-21'
servers:
  - description: Production server
    url: https://api.vistaly.com
security: []
tags:
  - description: System-related endpoints to interact with the overall service.
    name: system
  - description: >-
      Endpoints related to card management, including the creation and
      modification of card metrics and related data.
    externalDocs:
      description: Learn more about Cards
      url: https://docs.vistaly.com/en/card-types/overview
    name: cards
  - description: >-
      Endpoints for handling insights data, such as user feedback and interview
      records.
    externalDocs:
      description: Learn more about Insights
      url: https://docs.vistaly.com/en/insights/overview
    name: insights
paths:
  /beta/cards/{cardId}/comments:
    get:
      tags:
        - cards
      summary: List comments for a card
      description: Retrieve all comments for a specific card
      parameters:
        - description: The unique identifier for the card
          in: path
          name: cardId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCommentsResponse'
          description: Comments retrieved successfully
        '400':
          description: Bad request
          content:
            application/json:
              example:
                message: Bad request
              schema:
                $ref: '#/components/schemas/MessageResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                message: Unauthorized
              schema:
                $ref: '#/components/schemas/MessageResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              example:
                message: Forbidden
              schema:
                $ref: '#/components/schemas/MessageResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                message: Internal server error
              schema:
                $ref: '#/components/schemas/MessageResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    ListCommentsResponse:
      additionalProperties: false
      properties:
        comments:
          description: List of comments for the card
          items:
            $ref: '#/components/schemas/Comment'
          type: array
      required:
        - comments
      type: object
    MessageResponse:
      additionalProperties: false
      properties:
        message:
          example: System provided message
          type: string
      type: object
    Comment:
      additionalProperties: false
      properties:
        commentId:
          description: The unique identifier of the comment
          type: string
        body:
          description: The content of the comment
          type: string
        cardId:
          description: The card ID this comment belongs to
          type: string
        organizationId:
          description: The organization ID
          type: string
        threadRoot:
          description: The parent comment ID for threaded comments
          type: string
        createdAt:
          description: When the comment was created
          format: date-time
          type: string
        createdBy:
          description: User ID who created the comment
          type: string
        updatedAt:
          description: When the comment was last updated
          format: date-time
          type: string
        updatedBy:
          description: User ID who last updated the comment
          type: string
      required:
        - commentId
        - body
        - cardId
        - organizationId
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````